---
author: ~ben
published: true
title: tilde.chat servers
description: list of servers in the network
category:
    - main
---

# server list

you can use irc.tilde.chat to get a random server.

there are also three geo-round-robins available:
- au.tilde.chat
- eu.tilde.chat
- na.tilde.chat

otherwise, feel free to connect directly to any of the nodes for a more local connection.
all external connections are on port 6697 with ssl/tls.

if you have an account on any of the tildes listed here, you can connect with
plaintext to localhost port 6667 from there.

once you're connected, try `/map` to see the servers listed fully.

| server | location | hoster | notes |
|---|---|---|---|
| aussie.tilde.chat | australia | [aussies.space](https://aussies.space/) | |
| club.tilde.chat | quebec | [tilde.club](https://tilde.club/) | |
| cosmic.tilde.chat | london | [cosmic.voyage](https://cosmic.voyage/) | |
| ctrl-c.tilde.chat | new york | [ctrl-c.club](http://ctrl-c.club) | |
| hub.tilde.chat | quebec | [ben](https://tilde.team/~ben/) | services, [website](https://tilde.chat), and [mumble](mumble://tilde.chat) live here |
| institute.tilde.chat | germany | [tilde.institute](https://tilde.institute/) | |
| team.tilde.chat | quebec | [tilde.team](https://tilde.team/) | |
| thunix.tilde.chat | germany | [thunix](https://thunix.net) | |
| town.tilde.chat | toronto | [tilde.town](https://tilde.town/) | only accessible from localhost on port 7766; no external connections |

