# [tilde.chat](https://tilde.chat)

[![Build Status](https://drone.tildegit.org/api/badges/tildeverse/tilde.chat/status.svg)](https://drone.tildegit.org/tildeverse/tilde.chat)

this is the source for [tilde.chat](https://tilde.chat).

if you have any fixes/updates that you need to make, feel free to open a PR.

[wiki](https://tilde.chat/wiki/) updates are [part of this repo](wiki/) as well.

stop by irc and say hi!

---

## deployment

1. clone the repo into your webroot
2. `composer install`
2. make sure inspircd has m_httpd.so m_httpd_stats.so loaded
3. add a local bind for stats on 8081:
`<bind address="127.0.0.1" port="8081" type="httpd">`
4. add gen_stats to a crontab for a user that can write in the webroot:
`* * * * * /var/www/tilde.chat/gen_stats`
5. nginx config for pretty urls
```
location ~* ^/wiki/(.+)$ {
	try_files $uri $uri/ /wiki/index.php?page=$1;
	location ~ \.php$ {
		include snippets/fastcgi-php.conf;
		fastcgi_pass unix:/var/run/php/php7.2-fpm.sock;
	}
}
```

